
From: Johannes Stezenbach <js@linuxtv.org>

vfree() checking cleanups.

Signed-off by: James Lamanna <jlamanna@gmail.com>
Signed-off-by: Domen Puncer <domen@coderock.org>
Signed-off-by: Johannes Stezenbach <js@linuxtv.org>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/media/dvb/dvb-core/dmxdev.c         |   16 +++++-----------
 25-akpm/drivers/media/dvb/dvb-core/dvb_ca_en50221.c |    3 +--
 25-akpm/drivers/media/dvb/ttpci/budget-core.c       |    3 +--
 3 files changed, 7 insertions(+), 15 deletions(-)

diff -puN drivers/media/dvb/dvb-core/dmxdev.c~dvb-vfree-checking-cleanups drivers/media/dvb/dvb-core/dmxdev.c
--- 25/drivers/media/dvb/dvb-core/dmxdev.c~dvb-vfree-checking-cleanups	2005-03-21 20:58:35.000000000 -0800
+++ 25-akpm/drivers/media/dvb/dvb-core/dmxdev.c	2005-03-21 20:58:35.000000000 -0800
@@ -304,8 +304,7 @@ static int dvb_dmxdev_set_buffer_size(st
 	buf->size=size;
 	buf->pwrite=buf->pread=0;
 	spin_unlock_irq(&dmxdevfilter->dev->lock);
-	if (mem)
-		vfree(mem);
+	vfree(mem);
 
 	if (buf->size) {
 		mem=vmalloc(dmxdevfilter->buffer.size);
@@ -1129,15 +1128,10 @@ dvb_dmxdev_release(struct dmxdev *dmxdev
 	dvb_unregister_device(dmxdev->dvbdev);
 	dvb_unregister_device(dmxdev->dvr_dvbdev);
 
-	if (dmxdev->filter) {
-		vfree(dmxdev->filter);
-		dmxdev->filter=NULL;
-	}
-
-	if (dmxdev->dvr) {
-		vfree(dmxdev->dvr);
-		dmxdev->dvr=NULL;
-	}
+	vfree(dmxdev->filter);
+	dmxdev->filter=NULL;
+	vfree(dmxdev->dvr);
+	dmxdev->dvr=NULL;
 	dmxdev->demux->close(dmxdev->demux);
 }
 EXPORT_SYMBOL(dvb_dmxdev_release);
diff -puN drivers/media/dvb/dvb-core/dvb_ca_en50221.c~dvb-vfree-checking-cleanups drivers/media/dvb/dvb-core/dvb_ca_en50221.c
--- 25/drivers/media/dvb/dvb-core/dvb_ca_en50221.c~dvb-vfree-checking-cleanups	2005-03-21 20:58:35.000000000 -0800
+++ 25-akpm/drivers/media/dvb/dvb-core/dvb_ca_en50221.c	2005-03-21 20:58:35.000000000 -0800
@@ -804,8 +804,7 @@ static int dvb_ca_en50221_slot_shutdown(
 	down_write(&ca->slot_info[slot].sem);
 	ca->pub->slot_shutdown(ca->pub, slot);
 	ca->slot_info[slot].slot_state = DVB_CA_SLOTSTATE_NONE;
-	if (ca->slot_info[slot].rx_buffer.data)
-		vfree(ca->slot_info[slot].rx_buffer.data);
+	vfree(ca->slot_info[slot].rx_buffer.data);
 	ca->slot_info[slot].rx_buffer.data = NULL;
 	up_write(&ca->slot_info[slot].sem);
 
diff -puN drivers/media/dvb/ttpci/budget-core.c~dvb-vfree-checking-cleanups drivers/media/dvb/ttpci/budget-core.c
--- 25/drivers/media/dvb/ttpci/budget-core.c~dvb-vfree-checking-cleanups	2005-03-21 20:58:35.000000000 -0800
+++ 25-akpm/drivers/media/dvb/ttpci/budget-core.c	2005-03-21 20:58:35.000000000 -0800
@@ -415,8 +415,7 @@ int ttpci_budget_init(struct budget *bud
 err:
 	i2c_del_adapter(&budget->i2c_adap);
 
-	if (budget->grabbing)
-		vfree(budget->grabbing);
+	vfree(budget->grabbing);
 
 	dvb_unregister_adapter(budget->dvb_adapter);
 
_
